Rakuten categories
curl --request POST \
--url https://api.neuralverge.ai/functions/v1/run-rakuten-categories \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://api.neuralverge.ai/functions/v1/run-rakuten-categories"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api.neuralverge.ai/functions/v1/run-rakuten-categories', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"session_id": "11111111-1111-1111-1111-111111111111",
"kind": "rakuten_categories",
"human": "# Rakuten categories\n\n- **Genre id:** (top-level genres)\n- **Proxy traffic:** 577.4 KB\n- **Top-level genres:** 38",
"machine": {
"items": [
{
"id": 100371,
"name": "レディースファッション",
"alias": null,
"parent_category_id": 0,
"is_leaf": false,
"url": "https://www.rakuten.co.jp/category/100371/",
"breadcrumbs": [],
"children": [
{
"id": 555086,
"name": "トップス",
"alias": null,
"item_count": null,
"is_leaf": null,
"url": "https://www.rakuten.co.jp/category/555086/"
},
{
"id": 555089,
"name": "ボトムス",
"alias": null,
"item_count": null,
"is_leaf": null,
"url": "https://www.rakuten.co.jp/category/555089/"
}
]
},
{
"id": 551177,
"name": "メンズファッション",
"alias": null,
"parent_category_id": 0,
"is_leaf": false,
"url": "https://www.rakuten.co.jp/category/551177/",
"breadcrumbs": [],
"children": [
{
"id": 110765,
"name": "トップス",
"alias": null,
"item_count": null,
"is_leaf": null,
"url": "https://www.rakuten.co.jp/category/110765/"
},
{
"id": 558846,
"name": "ズボン・パンツ",
"alias": null,
"item_count": null,
"is_leaf": null,
"url": "https://www.rakuten.co.jp/category/558846/"
}
]
}
],
"proxy_traffic_bytes": 591243
},
"total_points": 5
}E-commerce & Marketplaces
Rakuten categories
Rakuten Ichiba genre tree: the top-level genres, or one genre by id with its breadcrumb path and child genres (with item counts). Flat 5 points per successful run.
POST
/
functions
/
v1
/
run-rakuten-categories
Rakuten categories
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Genre ID (optional)
Required range:
x >= 1